> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Suspend Developer

> Suspend a developer and cascade their agents to `hidden`.

Re-suspending an already-suspended developer returns 400 (fail loud — we
want to surface stale dashboards / double-clicks, not silently no-op).



## OpenAPI

````yaml /openapi.json post /api/v1/admin/developers/{developer_id}/suspend
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/admin/developers/{developer_id}/suspend:
    post:
      tags:
        - Admin
      summary: Suspend Developer
      description: |-
        Suspend a developer and cascade their agents to `hidden`.

        Re-suspending an already-suspended developer returns 400 (fail loud — we
        want to surface stale dashboards / double-clicks, not silently no-op).
      operationId: suspend_developer_api_v1_admin_developers__developer_id__suspend_post
      parameters:
        - name: developer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Developer Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeveloperSuspendRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    DeveloperSuspendRequest:
      properties:
        reason:
          type: string
          maxLength: 500
          minLength: 3
          title: Reason
      type: object
      required:
        - reason
      title: DeveloperSuspendRequest
      description: Suspend a developer. `reason` is required and written to the audit log.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````